> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cost report totals (pay-as-you-go only)

> Get cost report totals (aggregated costs) for a given period. Requested period should not exceed 31 days.

Note: This report assumes there are no active commit features in the billing plan.
If there are active commit features (pre-paid resources) in your plan, use /v1/`reservation_cost_report`/totals,
as the results from this report will not be accurate.

Data from the past hour may not reflect the full set of statistics.
For the most complete and accurate results, we recommend accessing the data at least one hour after the
relevant time period. Updates are generally available within a 24-hour window, though timing can vary.
Scheduled maintenance or other exceptions may occasionally cause delays beyond 24 hours.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v1/cost_report/totals
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/cost_report/totals:
    post:
      tags:
        - Cost Reports
      summary: Get cost report totals (pay-as-you-go only)
      description: >-
        Get cost report totals (aggregated costs) for a given period. Requested
        period should not exceed 31 days.


        Note: This report assumes there are no active commit features in the
        billing plan.

        If there are active commit features (pre-paid resources) in your plan,
        use /v1/`reservation_cost_report`/totals,

        as the results from this report will not be accurate.


        Data from the past hour may not reflect the full set of statistics.

        For the most complete and accurate results, we recommend accessing the
        data at least one hour after the

        relevant time period. Updates are generally available within a 24-hour
        window, though timing can vary.

        Scheduled maintenance or other exceptions may occasionally cause delays
        beyond 24 hours.
      operationId: CostReportTotalsHandler.post
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CostReportTotalsRequestSerializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CostReportTotalsResponseSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from datetime import datetime
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            cost_report_aggregated = client.cloud.cost_reports.get_aggregated(
                time_from=datetime.fromisoformat("2023-01-01T00:00:00"),
                time_to=datetime.fromisoformat("2023-02-01T00:00:00"),
            )
            print(cost_report_aggregated.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\t\"time\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tcostReportAggregated, err := client.Cloud.CostReports.GetAggregated(context.TODO(), cloud.CostReportGetAggregatedParams{\n\t\tTimeFrom: time.Now(),\n\t\tTimeTo:   time.Now(),\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", costReportAggregated.Count)\n}\n"
components:
  schemas:
    CostReportTotalsRequestSerializer:
      additionalProperties: false
      example:
        projects:
          - 16
          - 17
          - 18
          - 19
          - 20
        regions:
          - 18
          - 76
        response_format: json
        schema_filter:
          field: flavor
          type: instance
          values:
            - g1-standard-1-2
        tags:
          condition_type: OR
          conditions:
            - key: os_version
              strict: true
              value: '22.04'
            - key: os_version
              strict: true
              value: '23.04'
        time_from: '2024-08-01T00:00:00'
        time_to: '2024-09-01T00:00:00'
        types:
          - egress_traffic
          - instance
      examples:
        - projects:
            - 16
            - 17
            - 18
            - 19
            - 20
          regions:
            - 18
            - 76
          response_format: json
          schema_filter:
            field: flavor
            type: instance
            values:
              - g1-standard-1-2
          tags:
            condition_type: OR
            conditions:
              - key: os_version
                strict: true
                value: '22.04'
              - key: os_version
                strict: true
                value: '23.04'
          time_from: '2024-08-01T00:00:00'
          time_to: '2024-09-01T00:00:00'
          types:
            - egress_traffic
            - instance
      properties:
        enable_last_day:
          default: false
          description: >-
            Expenses for the last specified day are taken into account. As the
            default, False.
          example: false
          examples:
            - false
          title: Enable Last Day
          type: boolean
        projects:
          description: List of project IDs
          example:
            - 16
            - 17
            - 18
            - 19
            - 20
          examples:
            - - 16
              - 17
              - 18
              - 19
              - 20
          items:
            type: integer
          title: Projects
          type: array
        regions:
          description: List of region IDs.
          example:
            - 1
            - 2
            - 3
          examples:
            - - 1
              - 2
              - 3
          items:
            type: integer
          title: Regions
          type: array
        response_format:
          $ref: '#/components/schemas/CostReportTotalsResponseFormat'
          default: json
          description: Format of the response (csv or json).
          examples:
            - csv_totals
            - json
        rounding:
          default: true
          description: >-
            Round cost values to 5 decimal places. When false, returns full
            precision.
          title: Rounding
          type: boolean
        schema_filter:
          description: Extended filter for field filtering.
          discriminator:
            mapping:
              ai_cluster:
                $ref: '#/components/schemas/SchemaFilterAiClusterSerializer'
              ai_virtual_cluster:
                $ref: '#/components/schemas/SchemaFilterAiVirtualClusterSerializer'
              backup:
                $ref: '#/components/schemas/SchemaFilterBackupSerializer'
              baremetal:
                $ref: '#/components/schemas/SchemaFilterBaremetalSerializer'
              basic_vm:
                $ref: '#/components/schemas/SchemaFilterBasicVmSerializer'
              containers:
                $ref: '#/components/schemas/SchemaFilterContainersSerializer'
              dbaas_postgresql_connection_pooler:
                $ref: >-
                  #/components/schemas/SchemaFilterDBAASPostgreSQLPoolerSerializer
              dbaas_postgresql_cpu:
                $ref: '#/components/schemas/SchemaFilterDBAASPostgreSQLCPUSerializer'
              dbaas_postgresql_memory:
                $ref: >-
                  #/components/schemas/SchemaFilterDBAASPostgreSQLMemorySerializer
              dbaas_postgresql_public_network:
                $ref: >-
                  #/components/schemas/SchemaFilterDBAASPostgreSQLPublicNetworkSerializer
              dbaas_postgresql_volume:
                $ref: >-
                  #/components/schemas/SchemaFilterDBAASPostgreSQLVolumeSerializer
              egress_traffic:
                $ref: '#/components/schemas/SchemaFilterEgressTrafficSerializer'
              external_ip:
                $ref: '#/components/schemas/SchemaFilterExternalIpSerializer'
              file_share:
                $ref: '#/components/schemas/SchemaFilterFileShareSerializer'
              floatingip:
                $ref: '#/components/schemas/SchemaFilterFloatingIpSerializer'
              functions:
                $ref: '#/components/schemas/SchemaFilterFunctionsSerializer'
              functions_calls:
                $ref: '#/components/schemas/SchemaFilterFunctionsCallsSerializer'
              functions_traffic:
                $ref: '#/components/schemas/SchemaFilterFunctionsTrafficSerializer'
              image:
                $ref: '#/components/schemas/SchemaFilterImageSerializer'
              inference:
                $ref: '#/components/schemas/SchemaFilterInferenceSerializer'
              instance:
                $ref: '#/components/schemas/SchemaFilterInstanceSerializer'
              load_balancer:
                $ref: '#/components/schemas/SchemaFilterLoadBalancerSerializer'
              log_index:
                $ref: '#/components/schemas/SchemaFilterLogIndexSerializer'
              snapshot:
                $ref: '#/components/schemas/SchemaFilterSnapshotSerializer'
              volume:
                $ref: '#/components/schemas/SchemaFilterVolumeSerializer'
            propertyName: type
          examples:
            - field: flavor
              type: instance
              values:
                - g1-standard-1-2
          oneOf:
            - $ref: '#/components/schemas/SchemaFilterSnapshotSerializer'
            - $ref: '#/components/schemas/SchemaFilterInstanceSerializer'
            - $ref: '#/components/schemas/SchemaFilterAiClusterSerializer'
            - $ref: '#/components/schemas/SchemaFilterAiVirtualClusterSerializer'
            - $ref: '#/components/schemas/SchemaFilterBasicVmSerializer'
            - $ref: '#/components/schemas/SchemaFilterBaremetalSerializer'
            - $ref: '#/components/schemas/SchemaFilterVolumeSerializer'
            - $ref: '#/components/schemas/SchemaFilterFileShareSerializer'
            - $ref: '#/components/schemas/SchemaFilterImageSerializer'
            - $ref: '#/components/schemas/SchemaFilterFloatingIpSerializer'
            - $ref: '#/components/schemas/SchemaFilterEgressTrafficSerializer'
            - $ref: '#/components/schemas/SchemaFilterLoadBalancerSerializer'
            - $ref: '#/components/schemas/SchemaFilterExternalIpSerializer'
            - $ref: '#/components/schemas/SchemaFilterBackupSerializer'
            - $ref: '#/components/schemas/SchemaFilterLogIndexSerializer'
            - $ref: '#/components/schemas/SchemaFilterFunctionsSerializer'
            - $ref: '#/components/schemas/SchemaFilterFunctionsCallsSerializer'
            - $ref: '#/components/schemas/SchemaFilterFunctionsTrafficSerializer'
            - $ref: '#/components/schemas/SchemaFilterContainersSerializer'
            - $ref: '#/components/schemas/SchemaFilterInferenceSerializer'
            - $ref: '#/components/schemas/SchemaFilterDBAASPostgreSQLVolumeSerializer'
            - $ref: >-
                #/components/schemas/SchemaFilterDBAASPostgreSQLPublicNetworkSerializer
            - $ref: '#/components/schemas/SchemaFilterDBAASPostgreSQLCPUSerializer'
            - $ref: '#/components/schemas/SchemaFilterDBAASPostgreSQLMemorySerializer'
            - $ref: '#/components/schemas/SchemaFilterDBAASPostgreSQLPoolerSerializer'
          title: Schema Filter
        tags:
          $ref: '#/components/schemas/TagsFilterSerializer'
          description: Filter by tags
          examples:
            - condition_type: OR
              conditions:
                - key: os_version
                  strict: true
                  value: '22.04'
                - key: os_version
                  strict: true
                  value: '23.04'
        time_from:
          description: >-
            The start date of the report period (ISO 8601). The report starts
            from the beginning of this day in UTC.
          example: '2023-01-01T00:00:00Z'
          examples:
            - '2023-01-01T00:00:00Z'
          format: date-time
          title: Time From
          type: string
        time_to:
          description: >-
            The end date of the report period (ISO 8601). The report ends just
            before the beginning of this day in UTC.
          example: '2023-02-01T00:00:00Z'
          examples:
            - '2023-02-01T00:00:00Z'
          format: date-time
          title: Time To
          type: string
        types:
          description: List of resource types to be filtered in the report.
          example:
            - egress_traffic
            - instance
          examples:
            - - egress_traffic
              - instance
          items:
            $ref: '#/components/schemas/PrebillingResourceTypes'
          title: Types
          type: array
      required:
        - time_from
        - time_to
      title: CostReportTotalsRequestSerializer
      type: object
    CostReportTotalsResponseSerializer:
      properties:
        count:
          description: Count of returned totals
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        price_status:
          $ref: '#/components/schemas/CostReportPriceDisplayStatus'
          description: 'Price status for the UI, type: string'
        results:
          items:
            discriminator:
              mapping:
                ai_cluster:
                  $ref: '#/components/schemas/TotalAiClusterWithCostSerializer'
                ai_virtual_cluster:
                  $ref: '#/components/schemas/TotalAiVirtualClusterWithCostSerializer'
                backup:
                  $ref: '#/components/schemas/TotalBackupWithCostSerializer'
                baremetal:
                  $ref: '#/components/schemas/TotalBaremetalWithCostSerializer'
                basic_vm:
                  $ref: '#/components/schemas/TotalBasicVmWithCostSerializer'
                containers:
                  $ref: '#/components/schemas/TotalContainerWithCostSerializer'
                dbaas_postgresql_connection_pooler:
                  $ref: >-
                    #/components/schemas/TotalDBAASPostgreSQLPoolerWithCostSerializer
                dbaas_postgresql_cpu:
                  $ref: >-
                    #/components/schemas/TotalDBAASPostgreSQLCPUWithCostSerializer
                dbaas_postgresql_memory:
                  $ref: >-
                    #/components/schemas/TotalDBAASPostgreSQLMemoryWithCostSerializer
                dbaas_postgresql_public_network:
                  $ref: >-
                    #/components/schemas/TotalDBAASPostgreSQLPublicNetworkWithCostSerializer
                dbaas_postgresql_volume:
                  $ref: >-
                    #/components/schemas/TotalDBAASPostgreSQLVolumeWithCostSerializer
                egress_traffic:
                  $ref: '#/components/schemas/TotalEgressTrafficWithCostSerializer'
                external_ip:
                  $ref: '#/components/schemas/TotalExternalIpWithCostSerializer'
                file_share:
                  $ref: '#/components/schemas/TotalFileShareWithCostSerializer'
                floatingip:
                  $ref: '#/components/schemas/TotalFloatingIpWithCostSerializer'
                functions:
                  $ref: '#/components/schemas/TotalFunctionsWithCostSerializer'
                functions_calls:
                  $ref: '#/components/schemas/TotalFunctionCallsWithCostSerializer'
                functions_traffic:
                  $ref: >-
                    #/components/schemas/TotalFunctionEgressTrafficWithCostSerializer
                image:
                  $ref: '#/components/schemas/TotalImagesWithCostSerializer'
                inference:
                  $ref: '#/components/schemas/TotalInferenceWithCostSerializer'
                instance:
                  $ref: '#/components/schemas/TotalInstanceWithCostSerializer'
                load_balancer:
                  $ref: '#/components/schemas/TotalLoadBalancerWithCostSerializer'
                log_index:
                  $ref: '#/components/schemas/TotalLogIndexWithCostSerializer'
                snapshot:
                  $ref: '#/components/schemas/TotalSnapshotWithCostSerializer'
                volume:
                  $ref: '#/components/schemas/TotalVolumeWithCostSerializer'
              propertyName: type
            oneOf:
              - $ref: '#/components/schemas/TotalAiClusterWithCostSerializer'
              - $ref: '#/components/schemas/TotalAiVirtualClusterWithCostSerializer'
              - $ref: '#/components/schemas/TotalBaremetalWithCostSerializer'
              - $ref: '#/components/schemas/TotalBasicVmWithCostSerializer'
              - $ref: '#/components/schemas/TotalBackupWithCostSerializer'
              - $ref: '#/components/schemas/TotalContainerWithCostSerializer'
              - $ref: '#/components/schemas/TotalEgressTrafficWithCostSerializer'
              - $ref: '#/components/schemas/TotalExternalIpWithCostSerializer'
              - $ref: '#/components/schemas/TotalFileShareWithCostSerializer'
              - $ref: '#/components/schemas/TotalFloatingIpWithCostSerializer'
              - $ref: '#/components/schemas/TotalFunctionsWithCostSerializer'
              - $ref: '#/components/schemas/TotalFunctionCallsWithCostSerializer'
              - $ref: >-
                  #/components/schemas/TotalFunctionEgressTrafficWithCostSerializer
              - $ref: '#/components/schemas/TotalImagesWithCostSerializer'
              - $ref: '#/components/schemas/TotalInferenceWithCostSerializer'
              - $ref: '#/components/schemas/TotalInstanceWithCostSerializer'
              - $ref: '#/components/schemas/TotalLoadBalancerWithCostSerializer'
              - $ref: '#/components/schemas/TotalLogIndexWithCostSerializer'
              - $ref: '#/components/schemas/TotalSnapshotWithCostSerializer'
              - $ref: '#/components/schemas/TotalVolumeWithCostSerializer'
              - $ref: >-
                  #/components/schemas/TotalDBAASPostgreSQLPoolerWithCostSerializer
              - $ref: >-
                  #/components/schemas/TotalDBAASPostgreSQLMemoryWithCostSerializer
              - $ref: >-
                  #/components/schemas/TotalDBAASPostgreSQLPublicNetworkWithCostSerializer
              - $ref: '#/components/schemas/TotalDBAASPostgreSQLCPUWithCostSerializer'
              - $ref: >-
                  #/components/schemas/TotalDBAASPostgreSQLVolumeWithCostSerializer
          title: Results
          type: array
      required:
        - count
        - results
        - price_status
      title: CostReportTotalsResponseSerializer
      type: object
    CostReportTotalsResponseFormat:
      enum:
        - csv_totals
        - json
      title: CostReportTotalsResponseFormat
      type: string
    SchemaFilterAiClusterSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterAiClusterEnum'
          description: Field name to filter by
          examples:
            - flavor
        type:
          const: ai_cluster
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - bm3-ai-1xlarge-h100-80-8
          examples:
            - - bm3-ai-1xlarge-h100-80-8
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterAiClusterSerializer
      type: object
    SchemaFilterAiVirtualClusterSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterAiVirtualClusterEnum'
          description: Field name to filter by
          examples:
            - flavor
        type:
          const: ai_virtual_cluster
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - g3-ai-32-192-1500-l40s-48-1
          examples:
            - - g3-ai-32-192-1500-l40s-48-1
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterAiVirtualClusterSerializer
      type: object
    SchemaFilterBackupSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterBackupEnum'
          description: Field name to filter by
          examples:
            - last_size
        type:
          const: backup
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - '10'
          examples:
            - - '10'
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterBackupSerializer
      type: object
    SchemaFilterBaremetalSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterInstanceEnum'
          description: Field name to filter by
          examples:
            - flavor
        type:
          const: baremetal
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - bm2-hf-medium
          examples:
            - - bm2-hf-medium
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterBaremetalSerializer
      type: object
    SchemaFilterBasicVmSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterInstanceEnum'
          description: Field name to filter by
          examples:
            - flavor
        type:
          const: basic_vm
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - g2s-shared-1-2-25
          examples:
            - - g2s-shared-1-2-25
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterBasicVmSerializer
      type: object
    SchemaFilterContainersSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterContainersEnum'
          description: Field name to filter by
          examples:
            - uuid
        type:
          const: containers
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          examples:
            - - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterContainersSerializer
      type: object
    SchemaFilterDBAASPostgreSQLPoolerSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterDBAASPostgreSQLEnum'
          description: Field name to filter by
          examples:
            - uuid
        type:
          const: dbaas_postgresql_connection_pooler
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          examples:
            - - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterDBAASPostgreSQLPoolerSerializer
      type: object
    SchemaFilterDBAASPostgreSQLCPUSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterDBAASPostgreSQLEnum'
          description: Field name to filter by
          examples:
            - uuid
        type:
          const: dbaas_postgresql_cpu
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          examples:
            - - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterDBAASPostgreSQLCPUSerializer
      type: object
    SchemaFilterDBAASPostgreSQLMemorySerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterDBAASPostgreSQLEnum'
          description: Field name to filter by
          examples:
            - uuid
        type:
          const: dbaas_postgresql_memory
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          examples:
            - - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterDBAASPostgreSQLMemorySerializer
      type: object
    SchemaFilterDBAASPostgreSQLPublicNetworkSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterDBAASPostgreSQLEnum'
          description: Field name to filter by
          examples:
            - uuid
        type:
          const: dbaas_postgresql_public_network
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          examples:
            - - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterDBAASPostgreSQLPublicNetworkSerializer
      type: object
    SchemaFilterDBAASPostgreSQLVolumeSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterDBAASPostgreSQLVolumesEnum'
          description: Field name to filter by
          examples:
            - uuid
        type:
          const: dbaas_postgresql_volume
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          examples:
            - - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterDBAASPostgreSQLVolumeSerializer
      type: object
    SchemaFilterEgressTrafficSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterEgressTrafficEnum'
          description: Field name to filter by
          examples:
            - vm_id
        type:
          const: egress_traffic
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          examples:
            - - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterEgressTrafficSerializer
      type: object
    SchemaFilterExternalIpSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterExternalIpEnum'
          description: Field name to filter by
          examples:
            - ip_address
        type:
          const: external_ip
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - 10.100.178.92
          examples:
            - - 10.100.178.92
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterExternalIpSerializer
      type: object
    SchemaFilterFileShareSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterFileShareEnum'
          description: Field name to filter by
          examples:
            - last_size
        type:
          const: file_share
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - '10'
          examples:
            - - '10'
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterFileShareSerializer
      type: object
    SchemaFilterFloatingIpSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterFloatingIpEnum'
          description: Field name to filter by
          examples:
            - ip_address
        type:
          const: floatingip
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - 10.100.178.92
          examples:
            - - 10.100.178.92
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterFloatingIpSerializer
      type: object
    SchemaFilterFunctionsSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterFunctionsEnum'
          description: Field name to filter by
          examples:
            - last_size
        type:
          const: functions
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - '10'
          examples:
            - - '10'
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterFunctionsSerializer
      type: object
    SchemaFilterFunctionsCallsSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterFunctionsCallsEnum'
          description: Field name to filter by
          examples:
            - uuid
        type:
          const: functions_calls
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          examples:
            - - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterFunctionsCallsSerializer
      type: object
    SchemaFilterFunctionsTrafficSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterFunctionsTrafficEnum'
          description: Field name to filter by
          examples:
            - uuid
        type:
          const: functions_traffic
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          examples:
            - - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterFunctionsTrafficSerializer
      type: object
    SchemaFilterImageSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterImageEnum'
          description: Field name to filter by
          examples:
            - last_size
        type:
          const: image
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - '10'
          examples:
            - - '10'
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterImageSerializer
      type: object
    SchemaFilterInferenceSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterInferenceEnum'
          description: Field name to filter by
          examples:
            - uuid
        type:
          const: inference
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          examples:
            - - 066e202a-fc9a-43f2-a74d-be34afbee5c9
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterInferenceSerializer
      type: object
    SchemaFilterInstanceSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterInstanceEnum'
          description: Field name to filter by
          examples:
            - flavor
        type:
          const: instance
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - g1-standard-1-2
          examples:
            - - g1-standard-1-2
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterInstanceSerializer
      type: object
    SchemaFilterLoadBalancerSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterLoadBalancerEnum'
          description: Field name to filter by
          examples:
            - flavor
        type:
          const: load_balancer
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - lb1-1-2
          examples:
            - - lb1-1-2
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterLoadBalancerSerializer
      type: object
    SchemaFilterLogIndexSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterLogIndexEnum'
          description: Field name to filter by
          examples:
            - last_size
        type:
          const: log_index
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - '10'
          examples:
            - - '10'
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterLogIndexSerializer
      type: object
    SchemaFilterSnapshotSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterSnapshotEnum'
          description: Field name to filter by
          examples:
            - last_size
        type:
          const: snapshot
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - '10'
          examples:
            - - '10'
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterSnapshotSerializer
      type: object
    SchemaFilterVolumeSerializer:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/SchemaFilterVolumeEnum'
          description: Field name to filter by
          examples:
            - last_size
        type:
          const: volume
          title: Type
          type: string
        values:
          description: List of field values to filter
          example:
            - '10'
          examples:
            - - '10'
          items:
            type: string
          title: Values
          type: array
      required:
        - type
        - field
        - values
      title: SchemaFilterVolumeSerializer
      type: object
    TagsFilterSerializer:
      description: Represents a filter consisting of multiple tag filtering conditions.
      properties:
        condition_type:
          $ref: '#/components/schemas/TagsFilterConditionTypes'
          default: OR
          description: >-
            Specifies whether conditions are combined using OR (default) or AND
            logic.
        conditions:
          description: A list of tag filtering conditions defining how tags should match.
          example:
            - key: os_version
              strict: true
              value: '9'
            - key: os_type
              strict: true
              value: linux
            - key: os_distro
              strict: true
              value: centos
          examples:
            - - key: os_version
                strict: true
                value: '9'
              - key: os_type
                strict: true
                value: linux
              - key: os_distro
                strict: true
                value: centos
          items:
            $ref: '#/components/schemas/TagsFilterConditionSerializer'
          maxItems: 10
          minItems: 1
          title: Conditions
          type: array
      required:
        - conditions
      title: TagsFilterSerializer
      type: object
    PrebillingResourceTypes:
      description: Resource types for prebilling report
      enum:
        - ai_cluster
        - ai_virtual_cluster
        - backup
        - baremetal
        - basic_vm
        - containers
        - dbaas_postgresql_connection_pooler
        - dbaas_postgresql_cpu
        - dbaas_postgresql_memory
        - dbaas_postgresql_public_network
        - dbaas_postgresql_volume
        - egress_traffic
        - external_ip
        - file_share
        - floatingip
        - functions
        - functions_calls
        - functions_traffic
        - image
        - inference
        - instance
        - load_balancer
        - log_index
        - snapshot
        - volume
      title: PrebillingResourceTypes
      type: string
    CostReportPriceDisplayStatus:
      enum:
        - error
        - hide
        - show
      title: CostReportPriceDisplayStatus
      type: string
    TotalAiClusterWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - >-
              AI Infrastructure: bm3-ai-1xlarge-h100-80-8 (2 x Intel Xeon 8480+,
              2TB RAM, 8x3.84 TB NVMe, 8x Nvidia H100, IB 3.2 Tbit/s,
              2x100Gbit/s Ethernet)  Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: bm3-ai-1xlarge-h100-80-8_min
          examples:
            - bm3-ai-1xlarge-h100-80-8_min
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: minutes
          description: Unit of billing value
          example: minutes
          examples:
            - minutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        flavor:
          description: Flavor of the Baremetal GPU cluster
          example: bm3-ai-1xlarge-h100-80-8
          examples:
            - bm3-ai-1xlarge-h100-80-8
          title: Flavor
          type: string
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: ai_cluster
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - flavor
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalAiClusterWithCostSerializer
      type: object
    TotalAiVirtualClusterWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - >-
              AI Infrastructure: g3-ai-128-768-6000-l40s-48-4 (128vCPU/768GB
              RAM/6000GB NVMe/L40S-48GB-4GPU) Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: g3-ai-32-192-1500-l40s-48-1_min
          examples:
            - g3-ai-32-192-1500-l40s-48-1_min
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: minutes
          description: Unit of billing value
          example: minutes
          examples:
            - minutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        flavor:
          description: Flavor of the Virtual GPU cluster
          example: g3-ai-32-192-1500-l40s-48-1
          examples:
            - g3-ai-32-192-1500-l40s-48-1
          title: Flavor
          type: string
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: ai_virtual_cluster
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - flavor
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalAiVirtualClusterWithCostSerializer
      type: object
    TotalBackupWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Backup to S3 - Gb Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: backup_gbm
          examples:
            - backup_gbm
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: gbminutes
          description: Unit of billing value
          example: gbminutes
          examples:
            - gbminutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        last_size:
          description: Size of the backup in bytes
          example: 46137344
          examples:
            - 46137344
          title: Last Size
          type: integer
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: backup
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - last_size
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalBackupWithCostSerializer
      type: object
    TotalBaremetalWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - >-
              Instance Type: bm2-hf-medium (1x Intel Xeon E-2388G, 64GB, 2x480
              SSD, 2x1Gbit NIC) Luxembourg-2 - Overcommit
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: bm2-hf-medium_min
          examples:
            - bm2-hf-medium_min
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: minutes
          description: Unit of billing value
          example: minutes
          examples:
            - minutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        flavor:
          description: Flavor of the bare metal server
          example: bm2-hf-medium
          examples:
            - bm2-hf-medium
          title: Flavor
          type: string
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: baremetal
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - flavor
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalBaremetalWithCostSerializer
      type: object
    TotalBasicVmWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - >-
              Instance Type: g2s-shared-1-2-25 (1vCPU/2GB RAM/25GB SSD)
              Luxembourg-2 - Overcommit
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: g2s-shared-1-2-25_min
          examples:
            - g2s-shared-1-2-25_min
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: minutes
          description: Unit of billing value
          example: minutes
          examples:
            - minutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        flavor:
          description: Flavor of the basic VM
          example: g2s-shared-1-2-25
          examples:
            - g2s-shared-1-2-25
          title: Flavor
          type: string
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: basic_vm
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - flavor
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalBasicVmWithCostSerializer
      type: object
    TotalContainerWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - >-
              Container as a Service - Total Compute (GB-seconds), Luxembourg-2
              - Overcommit
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: caas_container_resources_sec
          examples:
            - caas_container_resources_sec
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: GBS
          description: Unit of billing value
          example: GBS
          examples:
            - GBS
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: containers
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalContainerWithCostSerializer
      type: object
    TotalDBAASPostgreSQLPoolerWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Managed PostgreSQL Connection Pooler - Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: dbaas_postgresql_public_network_min
          examples:
            - dbaas_postgresql_public_network_min
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: minutes
          description: Unit of billing value
          example: minutes
          examples:
            - minutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: dbaas_postgresql_connection_pooler
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalDBAASPostgreSQLPoolerWithCostSerializer
      type: object
    TotalDBAASPostgreSQLCPUWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Managed PostgreSQL CPU - Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: dbaas_postgresql_cpu_min
          examples:
            - dbaas_postgresql_cpu_min
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: minutes
          description: Unit of billing value
          example: minutes
          examples:
            - minutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: dbaas_postgresql_cpu
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalDBAASPostgreSQLCPUWithCostSerializer
      type: object
    TotalDBAASPostgreSQLMemoryWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Managed PostgreSQL Memory - Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: dbaas_postgresql_memory_gbmin
          examples:
            - dbaas_postgresql_memory_gbmin
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: gbminutes
          description: Unit of billing value
          example: gbminutes
          examples:
            - gbminutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: dbaas_postgresql_memory
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalDBAASPostgreSQLMemoryWithCostSerializer
      type: object
    TotalDBAASPostgreSQLPublicNetworkWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Managed PostgreSQL Public Network - Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: dbaas_postgresql_public_network_min
          examples:
            - dbaas_postgresql_public_network_min
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: minutes
          description: Unit of billing value
          example: minutes
          examples:
            - minutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: dbaas_postgresql_public_network
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalDBAASPostgreSQLPublicNetworkWithCostSerializer
      type: object
    TotalDBAASPostgreSQLVolumeWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Managed PostgreSQL Storage (SSD Low Latency) - Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: dbaas_postgresql_public_network_min
          examples:
            - dbaas_postgresql_public_network_min
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: gbminutes
          description: Unit of billing value
          example: gbminutes
          examples:
            - gbminutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: dbaas_postgresql_volume
          title: Type
          type: string
        volume_type:
          description: Type of the volume
          example: standard
          examples:
            - standard
          title: Volume Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - volume_type
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalDBAASPostgreSQLVolumeWithCostSerializer
      type: object
    TotalEgressTrafficWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Egress traffic Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: egress_traffic_baremetal_gbs
          examples:
            - egress_traffic_baremetal_gbs
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: bytes
          description: Unit of billing value
          example: bytes
          examples:
            - bytes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        instance_type:
          $ref: '#/components/schemas/EgressTrafficInstanceType'
          description: Type of the instance
          examples:
            - baremetal
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: egress_traffic
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - instance_type
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalEgressTrafficWithCostSerializer
      type: object
    TotalExternalIpWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Public IP address Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: externalip_min
          examples:
            - externalip_min
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: minutes
          description: Unit of billing value
          example: minutes
          examples:
            - minutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: external_ip
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalExternalIpWithCostSerializer
      type: object
    TotalFileShareWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - File Shares (Standard) - Gb Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: file_share_t_standard_gbm
          examples:
            - file_share_t_standard_gbm
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: gbminutes
          description: Unit of billing value
          example: gbminutes
          examples:
            - gbminutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        file_share_type:
          description: Type of the file share
          example: standard
          examples:
            - standard
          title: File Share Type
          type: string
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: file_share
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - file_share_type
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalFileShareWithCostSerializer
      type: object
    TotalFloatingIpWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Floating IP address Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: floating_min
          examples:
            - floating_min
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: minutes
          description: Unit of billing value
          example: minutes
          examples:
            - minutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: floatingip
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalFloatingIpWithCostSerializer
      type: object
    TotalFunctionsWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Functions - Total Compute (GB-seconds), Luxembourg-1 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: faas_function_resources_sec
          examples:
            - faas_function_resources_sec
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: GBS
          description: Unit of billing value
          example: GBS
          examples:
            - GBS
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: functions
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalFunctionsWithCostSerializer
      type: object
    TotalFunctionCallsWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Functions - Total Requests, Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: faas_function_calls_piece
          examples:
            - faas_function_calls_piece
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: MLS
          description: Unit of billing value
          example: MLS
          examples:
            - MLS
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: functions_calls
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalFunctionCallsWithCostSerializer
      type: object
    TotalFunctionEgressTrafficWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Functions - Total Egress Traffic (GB), Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: faas_function_egress_traffic_gbs
          examples:
            - faas_function_egress_traffic_gbs
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: GB
          description: Unit of billing value
          example: GB
          examples:
            - GB
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: functions_traffic
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalFunctionEgressTrafficWithCostSerializer
      type: object
    TotalImagesWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Images - Gb Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: image_gbm
          examples:
            - image_gbm
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: gbminutes
          description: Unit of billing value
          example: gbminutes
          examples:
            - gbminutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: image
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalImagesWithCostSerializer
      type: object
    TotalInferenceWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - >-
              Inference at the Edge - GPU L40s (48 GB Memory) Usage Luxembourg-2
              - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: inference_gpu_l40s_48_sec
          examples:
            - inference_gpu_l40s_48_sec
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          description: Unit of billing value
          example: H
          examples:
            - H
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: inference
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalInferenceWithCostSerializer
      type: object
    TotalInstanceWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - >-
              Instance Type: g1-standard-1-2 (1vCPU/2GB RAM) Luxembourg-2 -
              Overcommit
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: g1-standard-1-2_min
          examples:
            - g1-standard-1-2_min
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: minutes
          description: Unit of billing value
          example: minutes
          examples:
            - minutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        flavor:
          description: Flavor of the instance
          example: g1-standard-1-2
          examples:
            - g1-standard-1-2
          title: Flavor
          type: string
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: instance
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - flavor
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalInstanceWithCostSerializer
      type: object
    TotalLoadBalancerWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - 'Load Balancer Type: lb1-1-1 (1vCPU/2GB RAM) Luxembourg-2 - PAYG'
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: lb1-1-2_min
          examples:
            - lb1-1-2_min
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: minutes
          description: Unit of billing value
          example: minutes
          examples:
            - minutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        flavor:
          description: Flavor of the load balancer
          example: lb1-1-2
          examples:
            - lb1-1-2
          title: Flavor
          type: string
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: load_balancer
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - flavor
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalLoadBalancerWithCostSerializer
      type: object
    TotalLogIndexWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Logging as a Service - Gb Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: log_index_gbm
          examples:
            - log_index_gbm
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: gbminutes
          description: Unit of billing value
          example: gbminutes
          examples:
            - gbminutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: log_index
          title: Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalLogIndexWithCostSerializer
      type: object
    TotalSnapshotWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Snapshots for Standard Volumes - Gb Luxembourg-2 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: snap_t_standard_gbm
          examples:
            - snap_t_standard_gbm
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: gbminutes
          description: Unit of billing value
          example: gbminutes
          examples:
            - gbminutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
            - type: number
            - type: 'null'
          description: Cost for requested period
          examples:
            - 1000
          title: Cost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency of the cost
          examples:
            - EUR
          title: Currency
        err:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message
          examples:
            - null
          title: Err
        region:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region
          type: integer
        region_id:
          description: Region ID
          example: 76
          examples:
            - 76
          title: Region Id
          type: integer
        type:
          const: snapshot
          title: Type
          type: string
        volume_type:
          description: Type of the volume
          example: standard
          examples:
            - standard
          title: Volume Type
          type: string
      required:
        - type
        - billing_value
        - billing_value_unit
        - billing_metric_name
        - region
        - region_id
        - volume_type
        - billing_feature_name
        - cost
        - currency
        - err
      title: TotalSnapshotWithCostSerializer
      type: object
    TotalVolumeWithCostSerializer:
      properties:
        billing_feature_name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Block Storage (Standard) - Gb Luxembourg-1 - PAYG
          title: Billing Feature Name
        billing_metric_name:
          description: Name of the billing metric
          example: volume_t_standard_gbm
          examples:
            - volume_t_standard_gbm
          title: Billing Metric Name
          type: string
        billing_value:
          description: Value of the billing metric
          example: 1000
          examples:
            - 1000
          title: Billing Value
          type: number
        billing_value_unit:
          const: gbminutes
          description: Unit of billing value
          example: gbminutes
          examples:
            - gbminutes
          title: Billing Value Unit
          type: string
        cost:
          anyOf:
[...]
